DROP TABLE IF EXISTS specification;
DROP TABLE IF EXISTS advertisement;
DROP TABLE IF EXISTS stockpile;
DROP TABLE IF EXISTS product;

CREATE TABLE IF NOT EXISTS product
(
    id          INTEGER UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
    title       VARCHAR(50),
    price       DECIMAL,
    rate        FLOAT,
    description VARCHAR(8000),
    cover       VARCHAR(100),
    detail      VARCHAR(100),
    INDEX (title)
) engine = InnoDB;

CREATE TABLE IF NOT EXISTS stockpile
(
    id         INTEGER UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
    amount     INTEGER,
    frozen     INTEGER,
    product_id INTEGER UNSIGNED,
    FOREIGN KEY (product_id) REFERENCES product (id) ON DELETE CASCADE
) engine = InnoDB;

CREATE TABLE IF NOT EXISTS specification
(
    id         INTEGER UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
    item       VARCHAR(50),
    value      VARCHAR(100),
    product_id INTEGER UNSIGNED,
    FOREIGN KEY (product_id) REFERENCES product (id) ON DELETE CASCADE
) engine = InnoDB;

CREATE TABLE IF NOT EXISTS advertisement
(
    id         INTEGER UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
    image      VARCHAR(100),
    product_id INTEGER UNSIGNED,
    FOREIGN KEY (product_id) REFERENCES product (id) ON DELETE CASCADE
) engine = InnoDB;
